/*****************************************************************************
 *
 * AATSingele - X15G Demo Program.
 *
 *****************************************************************************
 * FileName:        X15G_ATtiny26.c
 * Dependencies:
 * Processor:       ATtiny26
 * Compiler:       	GCC
 * Linker:          
 * Company:         Elliptec Resonant Actuator AG
 *
 * Software License Agreement
 *
 * The software supplied herewith by Elliptec Resonant Actuator AG
 * (the "Company") is intended and supplied to you, the Company's
 * customer, for use solely and exclusively with products manufactured
 * by the Company. 
 *
 * The software is owned by the Company and/or its supplier, and is 
 * protected under applicable copyright laws. All rights are reserved. 
 * Any use in violation of the foregoing restrictions may subject the 
 * user to criminal sanctions under applicable laws, as well as to 
 * civil liability for the breach of the terms and conditions of this 
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES, 
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT, 
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR 
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Voicu Christian	    23.09.2009  ...	
  *****************************************************************************/

#include <avr/io.h>             
#include <avr/interrupt.h>
#include <buttons.h>
#include <timer.h>
#include <ad.h>
#include <powerstage.h>
#include <eeprom.h>
#include <es_seek.h>
#include <motorcontrol.h>


int main(void)
{

	OSCCAL_Init();				// init calibration Byte "Adress 0x30"
	Timer_Init();				// init timer
	Powerstage_InitPWM();		// init PWM
	AD_Init();					// init AD converter
	ElectronicSeek_Init();		// init elektronic frequency search
	sei();						// enable global interups


	delay_time_10ms = 100;		// simple delay
	while (delay_time_10ms != 0);

	ElectronicSeek();			// perform electronic frequency search
	BtnInit();					// init Portpins

	while(1)
	{
		BtnProcessEvents();		// check buttons

		while(BtnIsNotPressed(1)) {
			// solange PB4 - Eingang nicht auf L-Pegel gezogen wird ....
			BtnProcessEvents(); // PB4/PB5 - Eingnge prfen
			Stop_PWM();			// PWM ausschalten
		}
		
		// PB4 - Eingang wurde auf L-Pegel gezogen
		if(BtnIsPressed(2))
		{
			// falls PB5-Eingang auf L-Pegel gezogen wurde ...
			Run_max_FW();	// Motor in FW Richtung einschalten
		}

		else
		// an PB5-Eingang ist H-Pegel
		{
			Run_max_BW();	// Motor in BW Richtung einschalten
		}
		
	}

	return 0;

}
