#include <avr/io.h>             
#include <powerstage.h>


const char unsigned MinPeriod = 0x70;
const char unsigned MaxPeriod = 0xff;
POWERSTAGE _powerstage;

/*****************************************************************************
 * Function: Powerstage_InitPWM
 *
 * Preconditon: None.
 *
 * Overview: 
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void Powerstage_InitPWM()
{


	PLLCSR = 2;
	while(!(PLLCSR & (1<<0) ));
	PLLCSR = 6;

	TCCR1A = 130;
	OCR1C  = 112;
	TCNT1  = 111;
	OCR1A  = 112;
	TCCR1B = 67;

	DDRB  |= (1<<0);
	PORTB |= (1<<0);
	DDRB  |= (1<<1);

}

/*****************************************************************************
 * Function: Powerstage_SetPWM
 *
 * Preconditon: Powerstage_InitPWM has to be called before using this function
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void Powerstage_SetPWM()
{

	if (_powerstage.Period < MinPeriod) _powerstage.Period = MinPeriod;
	if (_powerstage.Power  > 0x7f) _powerstage.Power = 0x7f;

	while (TCNT1 > 0x0a);
	OCR1A = (unsigned char)((_powerstage.Period * _powerstage.Power/254));
	while (TCNT1 > 0x0a);
	OCR1C = _powerstage.Period;
	while (TCNT1 > 0x0a);

}
