#ifndef POWERSTAGE_H
#define POWERSTAGE_H

typedef struct {

	unsigned char Period;
	unsigned char Power;

}POWERSTAGE;

extern POWERSTAGE _powerstage;

/*****************************************************************************
 * Function: Powerstage Init
 *
 * Preconditon: None.
 *
 * Overview: Must be called befor using the PWM
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/	
void Powerstage_InitPWM();

/*****************************************************************************
 * Function: Powerstage_SetPWM
 *
 * Preconditon: None.
 *
 * Overview: Must be called befor using the PWM
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/	
void Powerstage_SetPWM();

/*****************************************************************************
 * Function: Stop_PWM
 *
 * Preconditon: None.
 *
 * Overview: Must be called befor using the PWM
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/	
void Stop_PWM();

/*****************************************************************************
 * Function: Start_PWM
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/
void Start_PWM();

#endif
